PDA

View Full Version : Removing kernel-default-base-2.6.32.45-0.3.2 [error]



klemenvi
26-Feb-2012, 19:34
Hello,

I have SLES11 for VMware and trying to update from SMT.
All pachages upgrade with no problems except kernel. I get error:

xxxxx@yyzzzxxxx:~> sudo zypper patch
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW patch is going to be installed:
slessp1-kernel

The following package is going to be REMOVED:
kernel-default-base

1 package to remove.
After the operation, 19.2 MiB will be freed.
Continue? [y/n/?] (y): y
Removing kernel-default-base-2.6.32.45-0.3.2 [error]
Removal of (13470)kernel-default-base-2.6.32.45-0.3.2.x86_64(@System) failed:
Error: Subprocess failed. Error: RPM failed: error: %postun(kernel-default-base-2.6.32.45-0.3.2.x86_64) scriptlet failed, exit status 1


Abort, retry, ignore? [a/r/i] (a): a
Problem occured during or after installation or removal of packages:
Installation aborted by user

Please see the above error message for a hint.
Warning: One of installed patches requires reboot of your machine. Reboot as soon as possible.

Any clue?

Thanks in advance.

klemen

malcolmlewis
26-Feb-2012, 19:48
Hello,

I have SLES11 for VMware and trying to update from SMT.
All pachages upgrade with no problems except kernel. I get error:

XXXXX@YYZZZXXXX:~> SUDO ZYPPER PATCH
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW patch is going to be installed:
slessp1-kernel

The following package is going to be REMOVED:
kernel-default-base

1 package to remove.
After the operation, 19.2 MiB will be freed.
Continue? [y/n/?] (y): y
REMOVING KERNEL-DEFAULT-BASE-2.6.32.45-0.3.2 [ERROR]
REMOVAL OF (13470)KERNEL-DEFAULT-BASE-2.6.32.45-0.3.2.X86_64(@SYSTEM)
FAILED:
ERROR: SUBPROCESS FAILED. ERROR: RPM FAILED: ERROR:
%POSTUN(KERNEL-DEFAULT-BASE-2.6.32.45-0.3.2.X86_64) SCRIPTLET FAILED,
EXIT STATUS 1


Abort, retry, ignore? [a/r/i] (a): a
Problem occured during or after installation or removal of packages:
Installation aborted by user

Please see the above error message for a hint.
Warning: One of installed patches requires reboot of your machine.
Reboot as soon as possible.

Any clue?

Thanks in advance.

klemen



Hi
What kernel is running in the system?


uname -a

You haven't updated the kernel in the past and not rebooted?

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 15:53, 2 users, load average: 0.01, 0.05, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

klemenvi
26-Feb-2012, 20:01
Hi,

Linux xxyyzzz 2.6.32.45-0.3-default #1 SMP 2011-08-22 10:12:58 +0200 x86_64 x86_64 x86_64 GNU/Linux

No this is first kernel update. After error I try with reboot but didn't help.

by

malcolmlewis
26-Feb-2012, 20:34
Hi,

Linux xxyyzzz 2.6.32.45-0.3-default #1 SMP 2011-08-22 10:12:58 +0200
x86_64 x86_64 x86_64 GNU/Linux

No this is first kernel update. After error I try with reboot but
didn't help.

by



Hi
OK, can you just run a ref with force, then check the kernel update;


zypper ref -f
zypper lu


--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 16:38, 2 users, load average: 0.00, 0.03, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

klemenvi
26-Feb-2012, 22:50
Thanks for help, we are moving on.
Now I get new error:


...
Retrieving package kernel-default-base-2.6.32.54-0.3.1.x86_64 (128/134), 9.7 MiB (19.2 MiB unpacked)
Retrieving: kernel-default-base-2.6.32.54-0.3.1.x86_64.rpm [done]
Installing: kernel-default-base-2.6.32.54-0.3.1 [error]
Installation of kernel-default-base-2.6.32.54-0.3.1 failed:
(with --nodeps --force) Error: Subprocess failed. Error: RPM failed:
Kernel image: /boot/vmlinuz-2.6.32.54-0.3-default
Initrd image: /boot/initrd-2.6.32.54-0.3-default
Root device: /dev/sda1 (mounted on / as ext3)
Resume device: /dev/sda2
modprobe: Module vmxnet not found.
WARNING: no dependencies for kernel module 'vmxnet' found.
modprobe: Module vmxnet3 not found.
WARNING: no dependencies for kernel module 'vmxnet3' found.
modprobe: Module vmw_pvscsi not found.
WARNING: no dependencies for kernel module 'vmw_pvscsi' found.
modprobe: Module mptspi not found.
WARNING: no dependencies for kernel module 'mptspi' found.
modprobe: Module thermal not found.
WARNING: no dependencies for kernel module 'thermal' found.
modprobe: Module ata_generic not found.
WARNING: no dependencies for kernel module 'ata_generic' found.
modprobe: Module piix not found.
WARNING: no dependencies for kernel module 'piix' found.
modprobe: Module ide_pci_generic not found.
WARNING: no dependencies for kernel module 'ide_pci_generic' found.
modprobe: Module processor not found.
WARNING: no dependencies for kernel module 'processor' found.
modprobe: Module fan not found.
WARNING: no dependencies for kernel module 'fan' found.
Kernel Modules: scsi_mod libata ata_piix jbd mbcache ext3 edd crc-t10dif sd_mod
Features: block resume.userspace resume.kernel
Bootsplash: SLES-for-VMware (800x600)
26124 blocks
error: %post(kernel-default-base-2.6.32.54-0.3.1.x86_64) scriptlet failed, exit status 1


Abort, retry, ignore? [a/r/i] (a):

Problem occured during or after installation or removal of packages:
Installation aborted by user

Please see the above error message for a hint.
There are some running programs that use files deleted by recent upgrade. You may wish to restart some of them. Run 'zypper ps' to list these programs.
xxxx@zzzyyyxxx:/var/lib/pengine>

Something about virtual environment. I run ESX 4.1, VM is version 7 and vm tools are installed.

malcolmlewis
26-Feb-2012, 22:59
Thanks for help, we are moving on.
Now I get new error:


...
Retrieving package kernel-default-base-2.6.32.54-0.3.1.x86_64
(128/134), 9.7 MiB (19.2 MiB unpacked)
Retrieving: kernel-default-base-2.6.32.54-0.3.1.x86_64.rpm [done]
Installing: kernel-default-base-2.6.32.54-0.3.1 [error]
Installation of kernel-default-base-2.6.32.54-0.3.1 failed:
(with --nodeps --force) Error: Subprocess failed. Error: RPM failed:
Kernel image: /boot/vmlinuz-2.6.32.54-0.3-default
Initrd image: /boot/initrd-2.6.32.54-0.3-default
Root device: /dev/sda1 (mounted on / as ext3)
Resume device: /dev/sda2
modprobe: Module vmxnet not found.
WARNING: no dependencies for kernel module 'vmxnet' found.
modprobe: Module vmxnet3 not found.
WARNING: no dependencies for kernel module 'vmxnet3' found.
modprobe: Module vmw_pvscsi not found.
WARNING: no dependencies for kernel module 'vmw_pvscsi' found.
modprobe: Module mptspi not found.
WARNING: no dependencies for kernel module 'mptspi' found.
modprobe: Module thermal not found.
WARNING: no dependencies for kernel module 'thermal' found.
modprobe: Module ata_generic not found.
WARNING: no dependencies for kernel module 'ata_generic' found.
modprobe: Module piix not found.
WARNING: no dependencies for kernel module 'piix' found.
modprobe: Module ide_pci_generic not found.
WARNING: no dependencies for kernel module 'ide_pci_generic' found.
modprobe: Module processor not found.
WARNING: no dependencies for kernel module 'processor' found.
modprobe: Module fan not found.
WARNING: no dependencies for kernel module 'fan' found.
Kernel Modules: scsi_mod libata ata_piix jbd mbcache ext3 edd
crc-t10dif sd_mod
Features: block resume.userspace resume.kernel
Bootsplash: SLES-for-VMware (800x600)
26124 blocks
error: %post(kernel-default-base-2.6.32.54-0.3.1.x86_64) scriptlet
failed, exit status 1


Abort, retry, ignore? [a/r/i] (a):

Problem occured during or after installation or removal of packages:
Installation aborted by user

Please see the above error message for a hint.
There are some running programs that use files deleted by recent
upgrade. You may wish to restart some of them. Run 'zypper ps' to list
these programs.
xxxx@zzzyyyxxx:/var/lib/pengine>



Hi
You need to have the kernel-source, kernel-syms, linux-kernel-headers,
make and gcc installed.

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 19:05, 3 users, load average: 0.00, 0.01, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

klemenvi
26-Feb-2012, 23:36
I have missed package, which I install:
kernel-syms

Next error after kernel-syms installed is:

xxxx@zzzzz:/> sudo zypper patch
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW patch is going to be installed:
slessp1-kernel

The following package is going to be REMOVED:
kernel-default-base

1 package to remove.
After the operation, 19.2 MiB will be freed.
Continue? [y/n/?] (y): y
Removing kernel-default-base-2.6.32.45-0.3.2 [error]
Removal of (13472)kernel-default-base-2.6.32.45-0.3.2.x86_64(@System) failed:
Error: Subprocess failed. Error: RPM failed: error: %postun(kernel-default-base-2.6.32.45-0.3.2.x86_64) scriptlet failed, exit status 1


Abort, retry, ignore? [a/r/i] (a):
Problem occured during or after installation or removal of packages:
Installation aborted by user

Please see the above error message for a hint.
Warning: One of installed patches requires reboot of your machine. Reboot as soon as possible.
There are some running programs that use files deleted by recent upgrade. You may wish to restart some of them. Run 'zypper ps' to list these programs.
xxxx@zzzzz:/>
xxxx@zzzzz:/>

klemenvi
26-Feb-2012, 23:51
After this step I get error (I make snapshot and revert back):

http://imageshack.us/photo/my-images/805/errorzd.jpg/

malcolmlewis
27-Feb-2012, 00:31
After this step I get error (I make snapshot and revert back):

http://imageshack.us/photo/my-images/805/errorzd.jpg/



Hi
So it looks like the script fails, then you get into the situation
where mkinitrd is not run, so grub doesn't get updated.....


--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 20:36, 3 users, load average: 0.04, 0.04, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

malcolmlewis
27-Feb-2012, 00:32
After this step I get error (I make snapshot and revert back):

http://imageshack.us/photo/my-images/805/errorzd.jpg/



Hi
So it looks like the script fails, then you get into the situation
where mkinitrd is not run, so grub doesn't get updated.....



Also may be related;
http://forums.suse.com/showthread.php?t=633

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 20:38, 3 users, load average: 0.00, 0.03, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

klemenvi
27-Feb-2012, 08:07
VM which produce these error is clone of some other machine.

I try to make update on these "original machine" and it go without an error! Try on other clone same error, try on next "original" machine no error!

I'm doing updates from local SMT server. Before doing these on clones I make these steps:

# rm /etc/zypp/credentials.d/NCCcredentials (remove from smt)
# tmp/clientSetup4SMT.sh https://smt-url/center/regsvc (registration to smt)

Any clue why clones produce these errors?

Thanks
klemen